/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.commons.jexl3.parser;

/**
 * Lambda (function).
 */
public final class ASTJexlLambda extends ASTJexlScript {
    /**
     *
     */
    private static final long serialVersionUID = 1L;

    ASTJexlLambda(final int id) {
        super(id);
    }

    ASTJexlLambda(final Parser p, final int id) {
        super(p, id);
    }

    /**
     * @return true if outermost script.
     */
    public boolean isTopLevel() {
        return jjtGetParent() == null;
    }

    @Override
    protected boolean isConstant(final boolean literal) {
        // a closure is constant if it does not capture any variables
        return getCapturedVariables().length == 0;
    }
}
